Skip to main content
GET
/
v1
/
economy
/
treasury-yields
Get Latest Treasury Yields
curl --request GET \
  --url https://api.aries.com/v1/economy/treasury-yields \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "date": "2025-12-22",
      "yield1Month": 3.72,
      "yield3Month": 3.64,
      "yield1Year": 3.53,
      "yield2Year": 3.44,
      "yield5Year": 3.71,
      "yield10Year": 4.17,
      "yield30Year": 4.84
    }
  ],
  "status": "OK",
  "requestId": "0cacd52605954a20afa995624faa46b9",
  "nextUrl": "https://api.aries.com/v1/economy/treasury-yields?cursor=..."
}

Authorizations

Authorization
string
header
required

OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.

Query Parameters

date
string<date>

Exact date in YYYY-MM-DD format

Example:

"2024-01-15"

dates
string

Comma-separated list of dates

Example:

"2024-01-15,2024-01-16"

dateFrom
string<date>

Date >= this value (inclusive)

Example:

"2024-01-01"

dateTo
string<date>

Date <= this value (inclusive)

Example:

"2024-01-31"

dateAfter
string<date>

Date > this value (exclusive)

Example:

"2024-01-01"

dateBefore
string<date>

Date < this value (exclusive)

Example:

"2024-01-31"

limit
integer

Maximum number of results

Example:

100

sort
string

Sort field

Example:

"date"

next
string

Pagination cursor for next page

Response

Successful response

results
object[]
status
string
requestId
string
nextUrl
string

URL for next page of results